lifted-base-0.2.3.12: lifted IO operations from the base library

Copyright | (c) The University of Glasgow 2007
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | non-portable
Safe Haskell | Safe
Language | Haskell98

System.Timeout.Lifted

Description

Attach a timeout event to monadic computations which are instances of `MonadBaseControl`.

Synopsis

- timeout :: MonadBaseControl IO m => Int -> m a -> m (Maybe a)

# Documentation

timeout :: MonadBaseControl IO m => Int -> m a -> m (Maybe a) Source #

Generalized version of `timeout`.

Note that when the given computation times out any side effects of `m` are discarded. When the computation completes within the given time the side-effects are restored on return.